summaryrefslogtreecommitdiff
path: root/crashrep
diff options
context:
space:
mode:
authorVladimir Glazounov <vg@openoffice.org>2003-07-15 13:31:43 +0000
committerVladimir Glazounov <vg@openoffice.org>2003-07-15 13:31:43 +0000
commit5ea01627a5f5aaface5487d319272a08288d5012 (patch)
tree4f439ab5bd94e32fd371d526f9f09b678c491fc9 /crashrep
parented5710ce2848f8b51117c8ab14af99b54aa477fc (diff)
INTEGRATION: CWS setupicon (1.1.14); FILE MERGED
2003/07/14 12:39:33 pl 1.1.14.1: #i16528# #i16633# start dynamic first, static if failed
Diffstat (limited to 'crashrep')
-rwxr-xr-xcrashrep/scripts/crash_report.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/crashrep/scripts/crash_report.sh b/crashrep/scripts/crash_report.sh
index 317f30daa61c..696187cace1a 100755
--- a/crashrep/scripts/crash_report.sh
+++ b/crashrep/scripts/crash_report.sh
@@ -72,4 +72,9 @@ sd_prog="`pwd`"
cd ..
sd_binary=`basename "$0"`".bin"
cd "$sd_cwd"
-exec "$sd_prog/$sd_binary" "$@"
+"$sd_prog/$sd_binary" "$@"
+if [ $? != 0 ] ; then
+sd_binary=`basename "$0"`"_with_gtk.bin"
+"$sd_prog/$sd_binary" "$@"
+fi
+